package com.atlassian.bitbucket.mesh.git.builder.merge;

import com.atlassian.bitbucket.mesh.git.builder.GitProcessBuilderSupport;

import javax.annotation.Nonnull;

public interface GitMergeBaseBuilderSupport<B extends GitMergeBaseBuilderSupport<B>>
        extends GitProcessBuilderSupport<B> {

    @Nonnull
    B commit(String value);

    @Nonnull
    B commits(Iterable<String> value);

    @Nonnull
    B commits(String value, String... values);
}
